Gets information about the database export process for the specified project and export.
1 min
GET
https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/databases/{databaseName}/exports/{exportId}
Path Parameters
- projectIdstring<uuid>requiredDescriptionFormatuuid
- environmentstringrequiredDescription
- databaseNamestringrequiredDescription
- exportIdstring<uuid>requiredDescriptionFormatuuid
Responses
200
- ExportDatabaseResponse
- projectIdstring<uuid>Formatuuid
- databaseNamestring
- databaseDisplayNamestring
- bacpacNamestring
- environmentstring
- statusstring
- downloadLinkstring
- idstring<uuid>Formatuuid
400
- BadRequestApiErrorResponseExample
401
- UnauthorizedApiErrorResponseExample
404
- NotFoundApiErrorResponseExample
500
- InternalServerErrorApiErrorResponseExample
curl
curl --request GET \
--url https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/databases/{databaseName}/exports/{exportId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/databases/{databaseName}/exports/{exportId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/databases/{databaseName}/exports/{exportId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://paasportal.episerver.net/api/v1.0/projects/{projectId}/environments/{environment}/databases/{databaseName}/exports/{exportId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"projectId": "",
"databaseName": "",
"databaseDisplayName": "",
"bacpacName": "",
"environment": "",
"status": "",
"downloadLink": "",
"id": ""
}GENERATED
// OK
{
"projectId": "",
"databaseName": "",
"databaseDisplayName": "",
"bacpacName": "",
"environment": "",
"status": "",
"downloadLink": "",
"id": ""
}response
{
"success": false,
"errors": null,
"result": {
"id": "1b22aaf0-5e39-40d5-a0b9-fd15cbb38719",
"projectId": "ad5b41d1-8345-4038-a13e-f82bfe867b6f",
"databaseName": "epicms",
"databaseDisplayName": "epicms",
"bacpacName": null,
"environment": "Production",
"status": "Succeeded",
"downloadLink": "example.download.link"
}
}400
// BadRequest
{}GENERATED
// BadRequest
{}response
{
"success": false,
"errors": [
"Project Id is a required field."
],
"result": null
}401
// Unauthorized
{}GENERATED
// Unauthorized
{}response
{
"success": false,
"errors": [
"Access is denied for project c943975b-d468-4b85-8e62-5967b9eeeece or environment Preproduction."
],
"result": null
}404
// NotFound
{}GENERATED
// NotFound
{}response
{
"success": false,
"errors": [
"There is no active project found for project id: c943975b-d468-4b85-8e62-5967b9eeeece."
],
"result": null
}500
// InternalServerError
{}GENERATED
// InternalServerError
{}response
{
"success": false,
"errors": [
"An error occurred while processing the request; Try again later."
],
"result": null
}